net.i2p.router.web

## Class UnsignedUpdateHandler.UnsignedUpdateRunner

- java.lang.Object
- - net.i2p.router.web.UpdateHandler.UpdateRunner
  - - net.i2p.router.web.UnsignedUpdateHandler.UnsignedUpdateRunner

All Implemented Interfaces:
  Runnable, EepGet.StatusListener

Enclosing class:
  UnsignedUpdateHandler

    public class UnsignedUpdateHandler.UnsignedUpdateRunner
    extends UpdateHandler.UpdateRunner
    implements Runnable, EepGet.StatusListener

Eepget the .zip file to the temp dir, then copy it over

### Field Summary

### Fields inherited from class net.i2p.router.web.UpdateHandler.UpdateRunner

`_get, _isRunning, _pct, done`

### Constructor Summary

Constructors
Constructor and Description
`UnsignedUpdateHandler.UnsignedUpdateRunner()`

### Method Summary

Methods
`void` `transferComplete(long alreadyTransferred, long bytesTransferred, long bytesRemaining, String url, String outputFile, boolean notModified)` eepget listener callback Overrides
`protected void` `update()` Get the file

### Methods inherited from class net.i2p.router.web.UpdateHandler.UpdateRunner

`attemptFailed, attempting, bytesTransferred, headerReceived, isDone, isRunning, run, transferFailed`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Runnable

`run`

### Methods inherited from interface net.i2p.util.EepGet.StatusListener

`attemptFailed, attempting, bytesTransferred, headerReceived, transferFailed`

### Constructor Detail

#### UnsignedUpdateHandler.UnsignedUpdateRunner

    public UnsignedUpdateHandler.UnsignedUpdateRunner()

### Method Detail

#### update

    protected void update()

Get the file

Overrides:
  `update` in class `UpdateHandler.UpdateRunner`

#### transferComplete

    public void transferComplete(long alreadyTransferred,
                        long bytesTransferred,
                        long bytesRemaining,
                        String url,
                        String outputFile,
                        boolean notModified)

eepget listener callback Overrides

Specified by:
  `transferComplete` in interface `EepGet.StatusListener`
Overrides:
  `transferComplete` in class `UpdateHandler.UpdateRunner`